%define upstream_name    Acme-Metification
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Give Perl the power of Metaprogramming!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module gives you some meta-programming abilities within Perl. It uses
source filters to do evil things with your source.

The module allows the use of two new functions. They must appear on
separate lines in your code:

meta
    Syntax:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.10.0-13.mga10
+ Revision: 2202607
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.10.0-12.mga9
+ Revision: 1808129
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-11.mga8
+ Revision: 1503395
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-10.mga7
+ Revision: 1281544
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.10.0-9.mga7
+ Revision: 1162757
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1022185
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 948762
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 788253
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 744645
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 683428
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 509015
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 362826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 kharec <kharec> 1.10.0-1.mga2
+ Revision: 168938
- imported package perl-Acme-Metification


* Fri Nov 18 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
